library(ggplot2)
library(tidyr)
library(scales)
#faili sisselugemine ja andmete formaadi korrigeerimine
J417=read.csv("PT4-T4.1-J4.1.7.csv",header=TRUE, encoding ="UTF-8")[1:7,1:5]
names(J417)=c("X","1. kvartiil õppinud <9 a","2. kvartiil õppinud 9-11 a" ,"3. kvartiil õppinud 12-13 a", "4. kvartiil õppinud >13 a")
J417=pivot_longer(J417,2:5)
J417$X=as.factor(J417$X)
J417$X=factor(J417$X, levels(J417$X)[order(c(6,3,5,2,4,1,7))])

#joonis
ggplot(J417)+
  geom_col(aes(x=name,y=value,fill=X))+
  theme_minimal()+
  scale_fill_manual(values=c("#81DBFE","#6666cc","#668080","#f09d00","#bf6900","#FF3600","#982F1A"))+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))+
  xlab("")+
  ylab("%")+
  theme(legend.title = element_blank())+
  scale_x_discrete(labels = wrap_format(10))







